Bug 1187146 - If v4 address exists, will not create nonexistant v6 in ipa domain
Summary: If v4 address exists, will not create nonexistant v6 in ipa domain
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.2
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Pavel Picka
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-29 12:20 UTC by William Brown
Modified: 2020-05-02 17:55 UTC (History)
10 users (show)

Fixed In Version: sssd-1.13.0-6.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 11:35:37 UTC
Target Upstream Version:


Attachments (Terms of Use)
log (3.86 KB, text/plain)
2015-10-15 10:12 UTC, Pavel Picka
no flags Details


Links
System ID Priority Status Summary Last Updated
Github SSSD sssd issues 3162 None None None 2020-05-02 17:29:48 UTC
Github SSSD sssd issues 3600 None None None 2020-05-02 17:55:39 UTC
Red Hat Product Errata RHSA-2015:2355 normal SHIPPED_LIVE Low: sssd security, bug fix, and enhancement update 2015-11-19 10:27:42 UTC

Description William Brown 2015-01-29 12:20:21 UTC
Description of problem:
On a dual ipv4/ipv6 system, both with valid addresses. At initial install, IPA / sssd only creates the v4 record.

After the install, sssd attempts a DNS update. The following is logged.

[sdap_dyndns_dns_addrs_done] (0x0400): No DNS update needed, addresses did not change
[ipa_dyndns_nsupdate_done] (0x0040): DNS update finished

However, only the A record exists, the AAAA does not. As a result, the AAAA is never updated.

Deleting the IPV4 record and restarting SSSD yields:

 [sdap_dyndns_dns_addrs_done] (0x0400): Detected IP addresses change, will perform an update
 [be_nsupdate_create_fwd_msg] (0x0400):  -- Begin nsupdate message -- 
realm EXAMPLE.COM
zone example.com.
update delete yvett.example.com. in A
send
update delete yvett.example.com. in AAAA
send
update add yvett.example.com. 1200 in A 172.24.11.24
send
 [be_nsupdate_create_fwd_msg] (0x0400):  -- End nsupdate message -- 
 [write_pipe_handler] (0x0400): All data has been sent!
 [sdap_dyndns_update_done] (0x0400): No PTR update requested, done
 [ipa_dyndns_nsupdate_done] (0x0040): DNS update finished

However, only the v4 record is created. No PTR or AAAA is created. (This may be a different issue). Therfore delete / recreate is not a work around.

Version-Release number of selected component (if applicable):
sssd-client-1.11.2-68.el7_0.6.x86_64
freeipa-3.3.5

How reproducible:
Always

Comment 1 William Brown 2015-01-29 12:21:13 UTC
Correction: Only the AAAA is not updated. The PTR is created.

Comment 3 Jakub Hrozek 2015-01-29 12:39:10 UTC
At the moment, this is "expected". By default, we only update with the address that is read from the socket connecting to the LDAP server. The only alternative now is to specify the interface to update the addresses from.

We're aware this is suboptimal and we're planning to address this issue upstream, currently in the 1.13 milestone. I'll link this bugzilla with the upstream ticket.

Comment 4 Jakub Hrozek 2015-01-29 12:40:31 UTC
Upstream ticket:
https://fedorahosted.org/sssd/ticket/2120

Comment 5 William Brown 2015-01-30 04:35:21 UTC
IE the work around is to provide:

dyndns_iface = eth0

And it will update A and AAAA?

I am going to try this as well. Perhaps this should be documented?

Comment 6 William Brown 2015-01-30 04:38:04 UTC
zone example.com.
update delete yvett.example.com. in A
send
update delete yvett.example.com. in AAAA
send
update add yvett.example.com. 1200 in AAAA 2001:db8:0:11:5054:ff:feba:574
update add yvett.example.com. 1200 in A 172.24.11.24
send

This works correctly as a work around. Thanks.

Comment 7 Jakub Hrozek 2015-07-06 21:18:39 UTC
Upstream ticket:
https://fedorahosted.org/sssd/ticket/2558

Comment 8 Jakub Hrozek 2015-07-06 21:46:40 UTC
Upstream ticket:
https://fedorahosted.org/sssd/ticket/2558

Comment 9 Jakub Hrozek 2015-07-24 09:01:59 UTC
* b0a8ed519554f8896e35812e0759862c33f157fe
* 1112e84494bcfd0f658e073d25f15ed877d047aa
* 0a26e92fb2a4dd9704a0578f90241997e2aed269
* 038b9ba28a618e3e553803da632116a040b94034
* aa3fd6fde3888c0e333cad852ae5b4f671d55f58

Comment 11 Pavel Picka 2015-10-15 10:12:45 UTC
Created attachment 1083204 [details]
log

Verfied

sssd-1.13.0-39.el7.x86_64

install update ok
sssd update ok

PTR must be enabled to get it updated

Comment 12 errata-xmlrpc 2015-11-19 11:35:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2355.html


Note You need to log in before you can comment on or make changes to this bug.